%define anolis_release 1

Name:       setxkbmap
Version:    1.3.4
Release:    %{anolis_release}%{?dist}
Summary:    X11 keymap client
License:    MIT
URL:        https://www.x.org
Source0:    %{url}/pub/individual/app/%{name}-%{version}.tar.xz

BuildRequires:  make gcc > 12.0
BuildRequires:  pkgconfig(x11) pkgconfig(xrandr), pkgconfig(xkbfile), pkgconfig(xorg-macros) >= 1.8

Obsoletes:  xorg-x11-xkb-utils < 7.8

%description
%{name} is an X11 client to change the keymaps in the X server for a
specified keyboard to use the layout determined by the options listed
on the command line. An XKB keymap is constructed from a number of
components which are compiled only as needed.

%prep
%autosetup

%build
%configure --disable-silent-rules
%make_build

%install
%make_install

%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
%{_bindir}/setxkbmap
%{abidir}/setxkbmap-option.list
%{_mandir}/man1/setxkbmap.1*

%changelog
* Tue May 16 2023 Funda Wang <fundawang@yeah.net> - 1.3.4-1
- New version 1.3.4

* Tue Apr 11 2023 Ziyang Zhang <ZiyangZhang@linux.alibaba.com> - 1.3.3-2
- Optimize spec file

* Fri Jul 29 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.3.3-1
- Init from upstream version 1.3.3
